<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-account-key"></i>
    </span>
    Usuarios
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Usuarios</li>
    </ol>
  </nav>
</div>
<!-- boton  -->
<div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
  <div></div>
  <button type="button" class="btn btn-dark btn-fw" (click)="openModalCreate(ModalContent)">
    <i class="mdi mdi-plus-box"> Crear usuario</i>
  </button>
</div>
<!-- boton -->
<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="card-title mb-sm-0">Listado de usuarios</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Apellido paterno</th>
                <th class="font-weight-bold">Apellido materno</th>
                <th class="font-weight-bold">Teléfono</th>
                <th class="font-weight-bold">Correo</th>
                <th class="font-weight-bold">Rol</th>
                <th class="font-weight-bold">Operativo</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of users">
                <td>{{ item.nombre }}</td>
                <td>{{ item.apellido_paterno }}</td>
                <td>{{ item.apellido_materno }}</td>
                <td>{{ item.telefono }}</td>
                <td>{{ item.correo }}</td>
                <td>{{ item.rol.nombre }}</td>
                <td>
                  <div class="badge badge-success p-2" *ngIf="item.operativo == 1">Activado</div>
                  <div class="badge badge-danger p-2" *ngIf="item.operativo == 0">Desactivado</div>
                </td>
                <td>
                  <button type="button" class="btn btn-inverse-dark btn-icon"
                    (click)="openModal(ModalEdit); editarUser(item)" placement="bottom" ngbTooltip="Editar usuario">
                    <i class="mdi mdi-grease-pencil"></i>
                  </button>
                  <button type="button" class="btn btn-inverse-danger btn-icon"
                    *ngIf="item.operativo == 1 && item.rol.nombre != 'administrador'" (click)="desactivar(item.id)"
                    placement="bottom" ngbTooltip="Desactivar usuario">
                    <i class="mdi mdi-close"></i>
                  </button>
                  <button type="button" class="btn btn-inverse-success btn-icon"
                    *ngIf="item.operativo == 0 && item.rol.nombre != 'administrador'" (click)="activar(item.id)"
                    placement="bottom" ngbTooltip="Activar usuario">
                    <i class="mdi mdi-check"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->

<!-- Modal crear inicio -->
<ng-template class="modal fade" #ModalContent let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="modal.dismiss()">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body" [formGroup]="userCreate">
          <h4 class="card-title">Crear usuario</h4>
          <p class="card-description">
            Ingrese los campos requeridos para la creación del usuario
          </p>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese un nombre" #nombre
                style="background-color:dark" formControlName="nombre">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Apellido paterno</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese apellido paterno"
                #apellido_paterno style="background-color:dark" formControlName="apellido_paterno">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Apellido materno</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese apellido materno"
                #apellido_materno style="background-color:dark" formControlName="apellido_materno">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Teléfono</label>
              <div class="form-group">
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text" style="color: black;">+569</span>
                  </div>
                  <input type="text" class="form-control" id="exampleInputName2"
                    placeholder="Ingrese un numero de teléfono" #telefono style="background-color:dark"
                    formControlName="telefono" onkeypress="return event.charCode>=48 && event.charCode<=57" required
                    maxlength="8" minlength="8">
                </div>
              </div>
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Correo</label>
              <input type="email" class="form-control" id="exampleInputName2" placeholder="Ingrese un correo" #correo
                style="background-color:dark" formControlName="correo">
            </div>
          </div>
          <div class="form-group">
            <label for="rol_id">Rol</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
              </div>
              <select class="custom-select" id="rol_id" formControlName="rol_id">
                <option selected [value]="null">Seleccione un rol</option>
                <option *ngFor="let item of roles" [value]="item.id">{{ item.nombre }}</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="crearUsuario(userCreate.value, modal)"
        [disabled]="this.userCreate.invalid" *ngIf="this.loading == false">Crear</button>
      <button class="btn btn-primary" type="button" *ngIf="this.loading == true">
        <div class="spinner-border spinner-border-sm text-white mr-2" role="status"></div>Cargando...
      </button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="modal.dismiss()">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal crear final -->


<!-- Modal editar inicio -->
<ng-template class="modal fade" #ModalEdit let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body" [formGroup]="userEdit">
          <h4 class="card-title">Editar usuario</h4>
          <p class="card-description">
            Modifique los campos deseados para la edición del usuario
          </p>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName1">Nombre</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Ingrese un nombre" #nombre
                style="background-color:dark" formControlName="nombre">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Apellido paterno</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese apellido paterno"
                #apellido_paterno style="background-color:dark" formControlName="apellido_paterno">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Apellido materno</label>
              <input type="text" class="form-control" id="exampleInputName2" placeholder="Ingrese apellido materno"
                #apellido_materno style="background-color:dark" formControlName="apellido_materno">
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">telefono</label>
              <div class="form-group">
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text" style="color: black;">+569</span>
                  </div>
                  <input type="text" class="form-control" id="exampleInputName2"
                    placeholder="Ingrese un numero de teléfono" #telefono style="background-color:dark"
                    formControlName="telefono" onkeypress="return event.charCode>=48 && event.charCode<=57" required
                    maxlength="8" minlength="8">
                  <!-- <span>{{ getError('telefono')}}</span> -->
                </div>
              </div>
            </div>
          </div>
          <div class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName2">Correo</label>
              <input type="email" class="form-control" id="exampleInputName2" placeholder="Ingrese un correo" #correo
                style="background-color:dark" formControlName="correo">
            </div>
          </div>
          <div class="form-group">
            <label for="rol_id">Rol</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
              </div>
              <select class="custom-select" id="rol_id" formControlName="rol_id">
                <option selected>Seleccione un rol</option>
                <option *ngFor="let item of roles" [value]="item.id">{{ item.nombre }}</option>
              </select>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="guardarEdit(userEdit.value, modal)"
        [disabled]="this.userEdit.invalid">Guardar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>

<!-- Modal editar final -->
